メインコンテンツへスキップ
GET
/
folders
/
{folder_id}
/
metadata
/
enterprise
/
securityClassification-6VMVochwUWo
cURL
curl -i -X GET "https://api.box.com/2.0/folders/12345/metadata/enterprise/securityClassification-6VMVochwUWo" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "Box__Security__Classification__Key": "Sensitive",
  "$parent": "folder_59449484661,",
  "$template": "securityClassification-6VMVochwUWo",
  "$scope": "enterprise_27335",
  "$version": 1,
  "$type": "securityClassification-6VMVochwUWo-fd31537a-0f95-4d86-9f2b-5974a29978f8",
  "$typeVersion": 5,
  "$canEdit": true
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

folder_id
string
必須

フォルダを表す一意の識別子。

フォルダIDを確認するには、ウェブアプリケーションでこのフォルダにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/folder/123の場合、folder_id123です。

Boxアカウントのルートフォルダは常にID 0で表されます。

レスポンス

securityClassificationメタデータテンプレートのインスタンスを返します。これには、この会社が使用できるすべての分類のリストを取得するBox__Security__Classification__Keyフィールドが含まれています。

ファイルまたはフォルダに適用される分類を含む、分類メタデータテンプレートのインスタンス。

項目に適用される分類に関する詳細を取得するには、分類メタデータテンプレートをリクエストしてください。

Box__Security__Classification__Key
string

項目に適用される分類の名前。

:

"Sensitive"

$parent
string

このメタデータインスタンスが追加されている項目の識別子。これは、親のtypeid{type}_{id}という形式で組み合わせたものです。

:

"folder_59449484661,"

$template
enum<string>

値は常にsecurityClassification-6VMVochwUWoになります。

利用可能なオプション:
securityClassification-6VMVochwUWo
:

"securityClassification-6VMVochwUWo"

$scope
string

この分類が適用されている会社のスコープ。

これはenterprise_{enterprise_id}形式になります。

:

"enterprise_27335"

$version
integer

メタデータインスタンスのバージョン。このバージョンは0から始まり、分類が更新されるたびに増加します。

:

1

$type
string

この分類インスタンスの一意のID。これには、分類テンプレートの名前と一意のIDが含まれます。

:

"securityClassification-6VMVochwUWo-fd31537a-0f95-4d86-9f2b-5974a29978f8"

$typeVersion
number

メタデータテンプレートのバージョン。このバージョンは0から始まり、テンプレートが更新されるたびに増加します。これはほとんどの場合、内部で使用されます。

:

5

$canEdit
boolean

エンドユーザーが分類を変更できるかどうか。

:

true